Lost glx after first upgrade from oneirc alpha 2 install

Bug #807209 reported by Robert Hooker on 2011-07-07
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Low
Alberto Milone
Oneiric
Low
Alberto Milone
Precise
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
Low
Unassigned
Oneiric
Low
Alberto Milone
Precise
Medium
Unassigned
nvidia-graphics-drivers-173 (Ubuntu)
Low
Unassigned
Oneiric
Low
Alberto Milone
Precise
Medium
Unassigned
nvidia-graphics-drivers-96 (Ubuntu)
Low
Unassigned
Oneiric
Low
Alberto Milone
Precise
Medium
Unassigned
xorg-server (Ubuntu)
High
Chris Halse Rogers
Oneiric
High
Chris Halse Rogers
Precise
Undecided
Unassigned

Bug Description

I did a clean install of oneiric alpha 2 and activated nvidia-current via jockey after the install was complete. Everything was fine after a reboot, so I did a apt-get dist-upgrade to pull in the latest post alpha-2 updates and lost glx.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: nvidia-current 275.09.07-0ubuntu4
ProcVersionSignature: Ubuntu 3.0-3.4-generic 3.0.0-rc5
Uname: Linux 3.0-3-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Thu Jul 7 16:20:56 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110705.1)
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: nvidia-graphics-drivers
UpgradeStatus: No upgrade log present (probably fresh install)
---
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 275.09.07 Wed Jun 8 14:16:46 PDT 2011
 GCC version: gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-2ubuntu2)
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unitydialog,unityshell]
CompositorRunning: compiz
DistUpgraded: Fresh install
DistroCodename: oneiric
DistroRelease: Ubuntu 11.10
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 275.09.07, 3.0-3-generic, x86_64: installed
GraphicsCard:
 nVidia Corporation GF106 [GeForce GTX 460M] [10de:0dd1] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:2042]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110705.1)
JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, Not in use)
MachineType: ASUSTeK Computer Inc. G73Jw
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers (not installed)
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0-3-generic root=UUID=538b7ea4-5e21-44c3-b131-1fce4951a243 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0-3.4-generic 3.0.0-rc5
Renderer: Unknown
Tags: unity-2d oneiric running-unity ubuntu compiz-0.9
Uname: Linux 3.0-3-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 01/27/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: G73Jw.205
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: G73Jw
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrG73Jw.205:bd01/27/2011:svnASUSTeKComputerInc.:pnG73Jw:pvr1.0:rvnASUSTeKComputerInc.:rnG73Jw:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: G73Jw
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
peripherals:
 /desktop/gnome/peripherals/mouse:
   cursor_theme = DMZ-White
version.compiz: compiz 1:0.9.4+bzr20110606-0ubuntu6
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11~1-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11~1-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.2-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.0-3ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Robert Hooker (sarvatt) wrote :
Robert Hooker (sarvatt) wrote :
Robert Hooker (sarvatt) wrote :
Robert Hooker (sarvatt) wrote :
Robert Hooker (sarvatt) wrote :
Robert Hooker (sarvatt) wrote :
Robert Hooker (sarvatt) wrote :
Robert Hooker (sarvatt) wrote :

from the term.log:

Setting up libgl1-mesa-glx (7.11~1-0ubuntu3) ...
update-alternatives: renaming x86_64-linux-gnu_xorg_extra_modules slave link from /usr/lib/xorg/extra-modules to /usr/lib/x86_64-linux-gnu/xorg/extra-modules.

xserver is still looking here though

[ 8.172] (==) ModulePath set to "/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"

Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High

apport information

tags: added: apport-collected compiz-0.9 running-unity ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in xorg-server (Ubuntu):
importance: Undecided → High
assignee: nobody → Chris Halse Rogers (raof)
Chris Halse Rogers (raof) wrote :

Oh, right. Mesa sets that extra-modules slave link to a per-architecture value. This is necessary to avoid conflicts across architectures. Although it doesn't make much sense to multiarch X, it should look in its multiarch path for those extra modules. And then the proprietary drivers need to be updated. Again :/

Chris Halse Rogers (raof) wrote :

Marking the nvidia task as low priority. As a temporary measure this can be solved in the X server and the binary drivers migrated at leisure.

Changed in nvidia-graphics-drivers (Ubuntu):
importance: High → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.10.2.902-1ubuntu2

---------------
xorg-server (2:1.10.2.902-1ubuntu2) oneiric; urgency=low

  [ Bryce Harrington ]
  * rules: patch needs to depend on stampdir, else it doesn't get created,
    and 'debian/rules patch' malfunctions.

  [ Chase Douglas ]
  * Fix event handling when neither X nor Y coordinates are set (LP: #806256)
    - Added 504_fix_no_coords.patch

  [ Christopher James Halse Rogers ]
  * rules: Add both /usr/lib/xorg/extra-modules and
    /usr/lib/$MULTIARCH/xorg/extra-modules for extra modules.
    Fixes GLX for the proprietary drivers after a mesa upgrade (LP: #807209)
 -- Christopher James Halse Rogers <email address hidden> Fri, 08 Jul 2011 13:16:59 +1000

Changed in xorg-server (Ubuntu):
status: New → Fix Released
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Triaged
Changed in fglrx-installer (Ubuntu):
importance: Undecided → Low
Changed in nvidia-graphics-drivers-173 (Ubuntu):
importance: Undecided → Low
Changed in nvidia-graphics-drivers-96 (Ubuntu):
importance: Undecided → Low
Changed in fglrx-installer (Ubuntu):
status: New → Triaged
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → Triaged
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: New → Triaged
Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-96 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.861-0ubuntu3

---------------
fglrx-installer (2:8.861-0ubuntu3) oneiric; urgency=low

  * debian/fglrx.dirs.in:
    - Make sure to create the /usr/lib/dri directory (LP: #807347).
  * debian/fglrx.postrm.in:
    - Do not fail when trying to remove only the files in
      /usr/lib/fglrx (LP: #807092). We don't want to remove the
      /usr/lib/fglrx/etc directory unless we're using --purge
      remove, otherwise user settings will be lost.
  * debian/rules:
    - Make sure that the copyright file is installed after it's
      generated. On some systems this wasn't guaranteed to happen.
      Thanks to Felix Kuehling and Mabel Lee for reporting the
      problem and for debugging the issue on the affected systems.
    - Use the multi-arch path for xorg extra-modules (LP: #807209).
 -- Alberto Milone <email address hidden> Wed, 20 Jul 2011 17:15:31 +0200

Changed in fglrx-installer (Ubuntu):
status: Triaged → Fix Released
Bryce Harrington (bryce) wrote :

What's the plan for multi-arching -nvidia going forward?

Bryce Harrington (bryce) wrote :

Postponing this bug to the next release; we have an adequate workaround for Oneiric, and it's not worth the regression risk to fix these in -nvidia just yet.

Changed in nvidia-graphics-drivers-173 (Ubuntu Oneiric):
status: Triaged → Won't Fix
Changed in nvidia-graphics-drivers-96 (Ubuntu Oneiric):
status: Triaged → Won't Fix
Changed in nvidia-graphics-drivers (Ubuntu Oneiric):
status: Triaged → Won't Fix
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
status: Triaged → Won't Fix
Changed in nvidia-graphics-drivers-96 (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
status: Triaged → Won't Fix
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
status: Triaged → Won't Fix
Chris Halse Rogers (raof) wrote :

I've reviewed the maintainer scripts of all the nvidia-* packages. They're all fine, and no changes need to be made to them.

There are some comments in nvidia-current's scripts along the lines of "we can simplify this once dpkg-multiarch has landed", but that's just packaging cleanup and shouldn't have any user-visible effects.

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Won't Fix → Fix Released
Changed in nvidia-graphics-drivers-173 (Ubuntu Oneiric):
status: Won't Fix → Fix Released
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: Won't Fix → Fix Released
Changed in nvidia-graphics-drivers (Ubuntu):
status: Won't Fix → Fix Released
Changed in nvidia-graphics-drivers-96 (Ubuntu Oneiric):
status: Won't Fix → Fix Released
Changed in nvidia-graphics-drivers (Ubuntu Oneiric):
status: Won't Fix → Fix Released
Alberto Milone (albertomilone) wrote :

yes, support for multi-arch is already in. I plan on adding some fixes but the drivers work already.

Heimen Stoffels (vistaus) wrote :

After today's updates, the GLX is broken again on nVidia.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers